Bug 1891273 - WebUI is disabled in GUI build
Summary: WebUI is disabled in GUI build
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: qbittorrent
Version: 32
Hardware: Unspecified
OS: Unspecified
unspecified
urgent
Target Milestone: ---
Assignee: leigh scott
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-10-25 02:40 UTC by Nathaniel Clark
Modified: 2020-11-17 01:35 UTC (History)
3 users (show)

Fixed In Version: qbittorrent-4.3.0-2.fc32 qbittorrent-4.3.0-2.fc33
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-11-17 01:12:56 UTC
Type: Bug


Attachments (Terms of Use)

Description Nathaniel Clark 2020-10-25 02:40:25 UTC
Description of problem:

WebUI has been disabled in gui build.
This apparently was done intentionally in 4.2.5-5

This is a loss of expected functionality that has been present up until this most recent rpm rev.


Version-Release number of selected component (if applicable):
4.2.5-5

How reproducible:


Steps to Reproduce:
1. Check to see if qbittorrent is listening on WebUI port
2. It isn't
3.

Actual results:
No WebUI


Expected results:
WebUI is enabled as an option

Additional info:
* Fri Oct 09 2020 Leigh Scott <leigh123linux@gmail.com> - 1:4.2.5-5
- Switch to cmake
- Disable webui for gui build

Comment 1 leigh scott 2020-10-25 07:37:34 UTC
Why do you require two GUI?
The webui is intended for headless use (qbittorrent-nox package).

Comment 2 Nathaniel Clark 2020-10-25 21:53:17 UTC
> Why do you require two GUI?

I use it on my desktop, and then I also use it remotely on my LAN (that's my usecase).  I LIKE having the option to access it remotely, and the WebUI is not 100% so I like having the GUI also.

Comment 3 Fedora Update System 2020-10-26 10:47:52 UTC
FEDORA-2020-a1b0a878a6 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-a1b0a878a6

Comment 4 Fedora Update System 2020-10-26 10:47:52 UTC
FEDORA-2020-8c32628554 has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2020-8c32628554

Comment 5 Fedora Update System 2020-10-27 02:22:51 UTC
FEDORA-2020-a1b0a878a6 has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-a1b0a878a6`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-a1b0a878a6

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 6 Fedora Update System 2020-10-27 02:37:15 UTC
FEDORA-2020-8c32628554 has been pushed to the Fedora 33 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-8c32628554`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-8c32628554

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 7 Nathaniel Clark 2020-10-28 16:16:57 UTC
> FEDORA-2020-a1b0a878a6

This is working for me on Fedora 32.  Thank you.

Comment 8 Fedora Update System 2020-11-03 09:52:53 UTC
FEDORA-2020-a1b0a878a6 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-a1b0a878a6

Comment 9 Fedora Update System 2020-11-04 02:46:07 UTC
FEDORA-2020-a1b0a878a6 has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-a1b0a878a6`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-a1b0a878a6

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 10 Fedora Update System 2020-11-17 01:12:56 UTC
FEDORA-2020-a1b0a878a6 has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 11 Fedora Update System 2020-11-17 01:35:13 UTC
FEDORA-2020-8c32628554 has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.